Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2009-1376

CVE information

Published

15 years ago

Last Modified

7 months ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Multiple integer overflows in the msn_slplink_process_msg functions in the MSN protocol handler in (1) libpurple/protocols/msn/slplink.c and (2) libpurple/protocols/msnp9/slplink.c in Pidgin (formerly Gaim) before 2.5.6 on 32-bit platforms allow remote attackers to execute arbitrary code via a malformed SLP message with a crafted offset value, leading to buffer overflows. NOTE: this issue exists because of an incomplete fix for CVE-2008-2927..

CVSSv2.0 Score

Severity
High
Base Score
9.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:pidgin:pidgin:2.5.2:32_bit:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:2.5.3:32_bit:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:2.5.0:32_bit:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:2.4.2:32_bit:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:2.4.0:32_bit:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:2.4.3:32_bit:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:2.5.4:32_bit:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:pidgin:pidgin:2.4.1:32_bit:*:*:*:*:*:*
  Yes
- -